IPv6-only networks now supported.

Cocos2d-x has been upgraded to support IPv6-only networks.

For both v2.x and v3.x, you can just update CURL and libwebsockets. To do this:

  • modify Cocos2d-x root/external/config.json to update the dependency version. For v3.x the dependency version is v3-deps-94, and for v2.x it is v2-deps-6
  • execute the download-deps.py script in your Cocos2d-x root.

Feel free to post on our forums if you run into difficulty.

Posted in Announcement

Categories